import { TableColumnsType } from "antd";
import { Series, Study } from "../DicomUploader/util";

export const columnsForStudy: TableColumnsType<Study> = [
  { title: "病历号", dataIndex: "patientID", key: "patientID" },
  { title: "姓名", dataIndex: "patientName", key: "patientName" },
  {
    title: "序列数",
    key: "seriesNumber",
    render: (_: any, record: Study) => <span>{record.subs.length}</span>,
  },
  {
    title: "切片数量",
    key: "seriesNumber",
    render: (_: any, record: Study) => (
      <span>
        {record.subs.map((s) => s.subs.length).reduce((p, n) => p + n)}
      </span>
    ),
  },
  { title: "年龄", dataIndex: "patientAge", key: "patientAge" },
  { title: "性别", dataIndex: "patientSex", key: "patientSex" },
  {
    title: "扫描日期",
    dataIndex: "acquisitionDate",
    key: "acquisitionDate",
  },
  {
    title: "描述",
    dataIndex: "studyDescription",
    key: "studyDescription",
  },
];

export const columnsForSeries: TableColumnsType<Series> = [
  {
    title: "序列描述",
    dataIndex: "seriesDescription",
    key: "seriesDescription",
  },
  {
    title: "切片数量",
    key: "sliceNumber",
    render: (_: any, record: Series) => <span>{record.subs.length}</span>,
  },
  {
    title: "切片层厚",
    dataIndex: "sliceThickness",
    key: "sliceThickness",
  },
  {
    title: "成像设备",
    dataIndex: "modality",
    key: "modality",
  },
  {
    title: "设备制造商",
    dataIndex: "manufacturer",
    key: "manufacturer",
  },
];
