import { useState, useCallback } from "react";
import { Modal, Progress } from "antd";

export const useProgress = () => {
  const [visible, setVisible] = useState(false);
  const [percent, setPercent] = useState(0);

  const showProgress = useCallback(() => {
    setVisible(true);
  }, []);

  const hideProgress = useCallback(() => {
    setVisible(false);
  }, []);

  const updatePercent = useCallback((newPercent: number) => {
    setPercent(newPercent);
  }, []);

  const ProgressModal = () => (
    <Modal open={visible} footer={null} closable={false}>
      <Progress percent={percent} />
    </Modal>
  );

  return {
    ProgressModal,
    showProgress,
    hideProgress,
    updatePercent,
  };
};
